List Market Stats
curl --request GET \
--url https://api.blockworks.com/v1/market-stats/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.blockworks.com/v1/market-stats/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.blockworks.com/v1/market-stats/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"total_usd_market_cap": 0,
"total_usd_volume_24h": 0,
"altcoin_usd_market_cap": 0,
"altcoin_usd_volume_24h": 0,
"stablecoin_usd_volume_24h": 0,
"stablecoin_usd_change_24h": 0,
"defi_usd_volume_24h": 0,
"defi_usd_change_24h": 0,
"btc_dominance": 0,
"btc_dominance_change_24h": 0,
"eth_dominance": 0,
"eth_dominance_change_24h": 0,
"updated_at": 0,
"day": "<string>"
}market-stats
List Market Stats
Returns a paginated list of Blockworks’ computed market-level statistics. Use this endpoint to discover available stats and build market overviews and dashboards. Each item includes a stat key, value, effective time window, and metadata.
GET
/
v1
/
market-stats
/
{id}
List Market Stats
curl --request GET \
--url https://api.blockworks.com/v1/market-stats/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.blockworks.com/v1/market-stats/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.blockworks.com/v1/market-stats/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"total_usd_market_cap": 0,
"total_usd_volume_24h": 0,
"altcoin_usd_market_cap": 0,
"altcoin_usd_volume_24h": 0,
"stablecoin_usd_volume_24h": 0,
"stablecoin_usd_change_24h": 0,
"defi_usd_volume_24h": 0,
"defi_usd_change_24h": 0,
"btc_dominance": 0,
"btc_dominance_change_24h": 0,
"eth_dominance": 0,
"eth_dominance_change_24h": 0,
"updated_at": 0,
"day": "<string>"
}Authorizations
Path Parameters
Response
Required range:
2.2250738585072014e-308 <= x <= 1.7976931348623157e+308Required range:
2.2250738585072014e-308 <= x <= 1.7976931348623157e+308Required range:
2.2250738585072014e-308 <= x <= 1.7976931348623157e+308Required range:
2.2250738585072014e-308 <= x <= 1.7976931348623157e+308Required range:
2.2250738585072014e-308 <= x <= 1.7976931348623157e+308Required range:
2.2250738585072014e-308 <= x <= 1.7976931348623157e+308Required range:
2.2250738585072014e-308 <= x <= 1.7976931348623157e+308Required range:
2.2250738585072014e-308 <= x <= 1.7976931348623157e+308Required range:
2.2250738585072014e-308 <= x <= 1.7976931348623157e+308Required range:
2.2250738585072014e-308 <= x <= 1.7976931348623157e+308Required range:
2.2250738585072014e-308 <= x <= 1.7976931348623157e+308Required range:
2.2250738585072014e-308 <= x <= 1.7976931348623157e+308Unix timestamp
Date in YYYY-MM-DD format
Maximum string length:
255